Developers
Read Credit Packs and Credit prices
GET
The one-time Credit Packs on sale, priced explicitly per currency in minor units, with the Credits each grants and how long they stay valid, plus the Improve Prompt price. plans lists Subscription Plans only while they are on sale; it is empty now. Generation prices per request come from estimate_generation_cost.
Success.
application/json- response
currencies*array<>Items
1 <= itemsplans*array<>creditPacks*array<>promptImprovementCredits*integerRange
0 < value <= 9007199254740991curl -X GET 'https://ximagesplitter.com/api/v1/pricing'Example response
{
"currencies": [
"USD"
],
"plans": [
{
"id": "starter",
"name": "string",
"annualSavingsPercent": {
"property1": -9007199254740991,
"property2": -9007199254740991
},
"offers": [
{
"prices": {
"property1": 0,
"property2": 0
},
"creditsGranted": 1,
"validDays": 1,
"id": "string",
"billingCycle": "monthly"
}
]
}
],
"creditPacks": [
{
"prices": {
"property1": 0,
"property2": 0
},
"creditsGranted": 1,
"validDays": 1,
"discountPercent": {
"property1": 0,
"property2": 0
}
}
],
"promptImprovementCredits": 1
}